Subscribe to Our News, Articles and Competitions

MacUsers | The latest macOS, Sierra, compatiblity concerns with Older Adobe Products

With Apple’s latest Operating system (OS), macOS Sierra 10.12 , releasing later today, there is some concern about the compatibility of older Adobe products such as Lightroom 5. We, therefore, advise our students which are using the old software on macs, to rather hold off on updating, since there have frequently been compatibility errors in past. The following link shows a list of some of the compatible and incompatible software, that has been tested by the Mac Community: Mac Sierra 10-12 Compatible Apps

It should also be noted that not all Macs will be able to support Sierra. To see if your Mac is compatible with the new OS, click on the apple icon in the top left and choose About this Mac. If your Mac shows (Late 2009) or later, then it should be able to support Sierra.

macOS about window

“About this Mac” Window


2017-07-14T11:56:35+00:00 By |Photography Software|0 Comments

About the Author:

Shawn Marran
I am Danie Bester's Personal Assistant and Geek. I live in Centurion and joined the DPC Team as a Web Administrator. I manage the DPC site as well as our Student Network Photo Critic. Current long term goals involve being trained in web design. I frequently get compared to an Owl because of my love for the night. I enjoy Night-time photography as well as urban landscape, architectural and abstract photography.

Leave A Comment